Package picard.util

## Interface AtomicIterator<T>

-     public interface AtomicIterator<T>

  Describes

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<T>` | `next()` | Produces the next element from the iterator, if there is one; otherwise, produces `Optional.EMPTY`

- - ### Method Detail

    - #### next

          Optional<T> next()

      Produces the next element from the iterator, if there is one; otherwise, produces `Optional.EMPTY`